Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.internal.server
Class AbstractWebTestController

    java.lang.Object
      org.apache.cactus.internal.server.AbstractWebTestController

All Implemented Interfaces:
  TestController

Direct Known Subclasses:
  JspTestController, ServletTestController

public abstract class AbstractWebTestController
extends java.lang.Object
implements TestController

Controller that extracts the requested service from the HTTP request and executes the request. Examples of requests are: executing a given test, returning the test result, verifying that the controller is correctly configured, etc.

Version:
  $Id: AbstractWebTestController.java 238991 2004-05-22 11:34:50Z vmassol $

Constructor Summary
`AbstractWebTestController()`

Method Summary
`protected abstract AbstractWebTestCaller` | `getTestCaller(WebImplicitObjects theObjects)`
`void` | `handleRequest(ImplicitObjects theObjects)` Handles the incoming request by extracting the requested service and calling the correct method on a `WebTestCaller`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractWebTestController

    public AbstractWebTestController()

Method Detail

### getTestCaller

    protected abstract AbstractWebTestCaller getTestCaller(WebImplicitObjects theObjects)

  Parameters:
    `theObjects` - the implicit objects coming from the redirector
  Returns:
    the test caller that will be used to execute the test

### handleRequest

    public void handleRequest(ImplicitObjects theObjects)
                       throws javax.servlet.ServletException

  Handles the incoming request by extracting the requested service and calling the correct method on a `WebTestCaller`.

  Specified by:
    `handleRequest` in interface `TestController`
  Parameters:
    `theObjects` - the implicit objects (they are different for the different redirectors)
  Throws:
    `javax.servlet.ServletException` - if an error occurs when servicing the request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.